Subject: Re: bug#19048: Frame height decreases at Emacs start

From: martin rudalics <[email-masked]>
Date: Sun, 16 Nov 2014 14:54:41 +0100

> OK. I removed the desktop and history files, than I started Emacs with this simple init file:
 >
 > $ cat init.el
 > ;; Instead to save in ~/.emacs.desktop
 > (setq desktop-base-file-name "~/.emacs.d/desktop")
 >
 > ;; Save desktop
 > (desktop-save-mode t)
 >
 >
 > I did M-: (window--dump-frame), saved the window-frame-dump in window-frame-dump-00.txt file. Then I closed Emacs saving the desktop at the request.
 >
 > Restarted Emacs repeating the M-: (window--dump-frame) command and saved the window-frame-dump in window-frame-dump-01.txt file.
 >
 > Repeating the same saving in window-frame-dump-02.txt file. These files are in the attached tar-ball.

Fine.  Just that now I can't relate this to the saved desktop.  To avoid
an incorrect guess please do the following:

(1) Save the result of `window--dump-frame' in window-frame-dump-00.

(2) Exit Emacs.

(3) Save the contents of you desktop file in desktop-00.

(4) Restart Emacs.

(5) Save the result of `window--dump-frame' in window-frame-dump-01.

And please also try to do the same with `tool-bar-mode' turned off.  I
suspect that restoring frames has problems reestablishing the correct
height of the tool bar.

Thanks, martin